org.codehaus.groovy.ast

## Interface GroovyClassVisitor

All Known Implementing Classes:
  AsmClassGenerator, AssertionRewriter, ASTTransformationCollectorCodeVisitor, ASTTransformationVisitor, ClassCodeExpressionTransformer, ClassCodeVisitorSupport, ClassCompletionVerifier, ClassGenerator, DependencyTracker, DummyClassGenerator, EnumVisitor, ExtendedVerifier, GenericsVisitor, GrabAnnotationTransformation, InnerClassCompletionVisitor, InnerClassVisitor, InnerClassVisitorHelper, JavaAwareResolveVisitor, LabelVerifier, NewifyASTTransformation, OptimizerVisitor, ResolveVisitor, StatementReplacingVisitorSupport, StaticImportVisitor, VariableScopeVisitor, Verifier

    public interface GroovyClassVisitor

An implementation of the visitor pattern for working with ASTNodes

Version:
  $Revision: 7922 $
Author:
  James Strachan

### Method Summary

Methods
`void` `visitClass(ClassNode node)`
`void` `visitConstructor(ConstructorNode node)`
`void` `visitField(FieldNode node)`
`void` `visitMethod(MethodNode node)`
`void` `visitProperty(PropertyNode node)`

### Method Detail

#### visitClass

    void visitClass(ClassNode node)

#### visitConstructor

    void visitConstructor(ConstructorNode node)

#### visitMethod

    void visitMethod(MethodNode node)

#### visitField

    void visitField(FieldNode node)

#### visitProperty

    void visitProperty(PropertyNode node)